export { default as CircleSpinner } from './CircleSpinner.svelte';
export { default as CmdPalette } from './CmdPalette.svelte';
export { default, default as MultiSelect } from './MultiSelect.svelte';
export { default as Wiggle } from './Wiggle.svelte';
// Firefox lacks support for scrollIntoViewIfNeeded, see
// https://github.com/janosh/svelte-multiselect/issues/87
// this polyfill was copied from
// https://github.com/nuxodin/lazyfill/blob/a8e63/polyfills/Element/prototype/scrollIntoViewIfNeeded.js
// exported for testing
export function scroll_into_view_if_needed_polyfill(centerIfNeeded = true) {
    const el = this;
    const observer = new IntersectionObserver(function ([entry]) {
        const ratio = entry.intersectionRatio;
        if (ratio < 1) {
            const place = ratio <= 0 && centerIfNeeded ? `center` : `nearest`;
            el.scrollIntoView({
                block: place,
                inline: place,
            });
        }
        this.disconnect();
    });
    observer.observe(this);
    return observer; // return for testing
}
if (typeof Element !== `undefined` &&
    !Element.prototype?.scrollIntoViewIfNeeded &&
    typeof IntersectionObserver !== `undefined`) {
    Element.prototype.scrollIntoViewIfNeeded = scroll_into_view_if_needed_polyfill;
}
